<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content__item content__item--border bg__content--default">

    <form nz-form [formGroup]="form">
        <div nz-row [nzGutter]="[30,30]">

            <!-- Loại cấu hình -->
            <div nz-col nzXs="24" nzLg="12">
                <mb-select
                    [mbDataSelects]="typeSelects" mbKeyLabel="label" mbKeyValue="value" [mbShowClear]="false"
                    (mbSelect)="onChangeType($event)"
                    [mbType]="isSubmitted && form.controls['type'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['type'].errors !== null"
                    [mbErrors]="form.controls['type'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.pns-contract.label.configType' | translate }}]"
                    mbPlaceholder="{{'partnership.pns-contract.label.configType' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.configType' | translate}} <span class='label__required'>*</span>"
                    formControlName="type"
                ></mb-select>
            </div>



            <!-- Số văn bản ủy quyền -->
            <div nz-col nzXs="24" nzLg="12">
                <mb-input-text
                    [mbMaxLength]="255" mbPlaceholderText="{{'partnership.pns-contract.label.documentNo' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.documentNo' | translate}} <span class='label__required'>*</span>"
                    [mbType]="isSubmitted && form.controls['documentNo'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['documentNo'].errors !== null"
                    [mbErrors]="form.controls['documentNo'].errors"
                    [mbErrorDefs]="[
                        { errorName: 'required', errorDescription: 'partnership.pns-contract.label.documentNo' | translate: {'param': 'partnership.pns-contract.label.documentNo' | translate }},
                        { errorName: 'maxlength', errorDescription: 'partnership.pns-contract.label.documentNo' | translate: {'numberLength': 255} }
                    ]"
                    formControlName="documentNo"
                >
                </mb-input-text>
            </div>


            <!-- Phạm vi -->
            <div nz-col nzXs="24" nzLg="12">
                <mb-select
                    [mbDataSelects]="scopeSelects" mbKeyLabel="label" mbKeyValue="value" [mbShowClear]="false"
                    (mbSelect)="onChangeScope()" mbPlaceholder="{{'partnership.pns-contract.label.scope' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.scope' | translate}} <span class='label__required'>*</span>"
                    formControlName="scope"
                ></mb-select>
            </div>


            <!-- Đơn vị -->
            <div nz-col nzXs="24" nzLg="12" *ngIf="form.value.scope === 1">
                <org-data-picker
                    [scope]="scope" [functionCode]="functionCode"
                    mbLabelText="{{'partnership.workHisInformation.label.attributes.organization' | translate}} <span class='label__required'>*</span>"
                    [mbType]="isSubmitted && form.controls['org'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['org'].errors !== null"
                    [mbErrors]="form.controls['org'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.workHisInformation.label.attributes.organization' | translate }}]"
                    formControlName="org"
                >
                </org-data-picker>
            </div>


            <!-- Nhóm Đơn vị -->
            <div nz-col nzXs="24" nzLg="12" *ngIf="form.value.scope !== 1">
                <mb-select
                    [mbDataSelects]="orgGroupSelects" mbKeyLabel="label" mbKeyValue="value"
                    [mbType]="isSubmitted && form.controls['org'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['org'].errors !== null"
                    [mbErrors]="form.controls['org'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.workHisInformation.label.attributes.organization' | translate }}]"
                    mbPlaceholder="{{'partnership.pns-contract.label.orgGroup' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.orgGroup' | translate}} <span class='label__required'>*</span>"
                    formControlName="org"
                ></mb-select>
            </div>

            <!-- loại chi nhánh-->
            <div nz-col nzXs="24" nzLg="12">
                <mb-select
                    [mbDataSelects]="branchTypeSelects" mbKeyLabel="label" mbKeyValue="value" [mbShowClear]="false"
                    mbPlaceholder="{{'partnership.pns-contract.label.branchType' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.branchType' | translate}}"
                    formControlName="branchType"
                ></mb-select>
            </div>

            <!-- Nhóm chức danh -->
            <div nz-col nzXs="24" nzLg="12">
                <mb-select
                    (mbEventEmit)="setFormValue($event, 'empPgrId')" [mbKeyValueStringType]="true"
                    mbPlaceholder="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                    [mbDataSelects]="positionGroupList"
                    mbLabelText="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                    formControlName="empPgrId"
                >
                </mb-select>
            </div>

            <!-- Chức danh ký -->
            <div nz-col nzXs="24" nzLg="12" *ngIf="(form.value.type !== 2) && (form.value.type !== 3)">
                <mb-select
                    [mbDataSelects]="listPosition" mbKeyLabel="label" mbKeyValue="value"
                    [mbType]="isSubmitted && form.controls['jobApproverId'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['jobApproverId'].errors !== null"
                    [mbErrors]="form.controls['jobApproverId'].errors"
                    [mbErrorDefs]="[
                        { errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.jobSign' | translate }}
                    ]"
                    mbPlaceholder="{{'partnership.pns-contract.label.jobSign' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.jobSign' | translate}} <span class='label__required'>*</span>"
                    formControlName="jobApproverId"
                ></mb-select>
            </div>


            <!-- Chức danh phê duyệt -->
            <div nz-col nzXs="24" nzLg="12" *ngIf="form.value.type === 2">
                <mb-select
                    [mbDataSelects]="listPosition" mbKeyLabel="label" mbKeyValue="value"
                    [mbType]="isSubmitted && form.controls['jobApproverId'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['jobApproverId'].errors !== null"
                    [mbErrors]="form.controls['jobApproverId'].errors"
                    [mbErrorDefs]="[{ errorName: 'atLeastOneRequired', errorDescription: 'partnership.pns-contract.msg.atLeastOneRequired' | translate}]"
                    mbPlaceholder="{{'partnership.pns-contract.label.jobApprover' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.jobApprover' | translate}} "
                    formControlName="jobApproverId"
                >
                </mb-select>
            </div>


            <!-- Chức danh phê duyệt hiệu chỉnh  -->
            <div nz-col nzXs="24" nzLg="12" *ngIf="form.value.type === 3">
                <mb-select
                    [mbDataSelects]="listPosition" mbKeyLabel="label" mbKeyValue="value"
                    [mbType]="isSubmitted && form.controls['jobApproverId'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['jobApproverId'].errors !== null"
                    [mbErrors]="form.controls['jobApproverId'].errors"
                    [mbErrorDefs]="[{ errorName: 'atLeastOneRequired', errorDescription: 'partnership.pns-contract.msg.atLeastOneRequired' | translate}]"
                    mbPlaceholder="{{'partnership.pns-contract.label.jobChangeApprover' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.jobChangeApprover' | translate}} "
                    formControlName="jobApproverId"
                >
                </mb-select>
            </div>


            <!-- Người ký -->
            <div nz-col nzXs="24" nzLg="12" class="select__employee" *ngIf="(form.value.type !== 2) && (form.value.type !== 3)">
                <employee-data-picker
                    [mbCanText]="true"
                    formControlName="approverId"
                    status='WORKING'
                    [mbType]="isSubmitted && form.controls['approverId'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['approverId'].errors !== null"
                    [mbErrors]="form.controls['approverId'].errors"
                    [mbErrorDefs]="[{ errorName: 'atLeastOneRequired', errorDescription: 'partnership.pns-contract.msg.atLeastOneRequired' | translate}]"
                    mbLabelText="{{'partnership.pns-contract.label.signer' | translate}} "
                >
                </employee-data-picker>
            </div>


            <!-- Người phê duyệt -->
            <div nz-col nzXs="24" nzLg="12" class="select__employee" *ngIf="form.value.type === 2">
                <employee-data-picker
                    [mbCanText]="true"
                    status='WORKING'
                    formControlName="approverId"
                    mbLabelText="{{'partnership.pns-contract.label.approver' | translate}} "
                >
                </employee-data-picker>
            </div>


            <!-- Người phê duyệt hiệu chỉnh -->
            <div nz-col nzXs="24" nzLg="12" class="select__employee" *ngIf="form.value.type === 3">
                <employee-data-picker
                    [mbCanText]="true"
                    status='WORKING'
                    formControlName="approverId"
                    mbLabelText="{{'partnership.pns-contract.label.changeApprover' | translate}} "
                >
                </employee-data-picker>
            </div>


            <div nz-col nzXs="24" nzLg="12">
                <mb-date-picker
                    formControlName="fromDate"
                    mbLabelText="{{'partnership.label.fromDate' | translate}} <span class='label__required'>*</span>"
                    [mbType]="isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
                    [mbErrors]="form.controls['fromDate'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.label.fromDate' | translate }}]"
                    mbPlaceholderText="{{'partnership.label.fromDate' | translate}}"
                >
                </mb-date-picker>
            </div>


            <div nz-col nzXs="24" nzLg="12">
                <mb-date-picker
                    formControlName="toDate" mbLabelText="{{'partnership.label.toDate' | translate}}"
                    [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['toDate'].errors !== null"
                    [mbErrors]="form.controls['toDate'].errors"
                    [mbErrorDefs]="[{ errorName: 'toDateNotAfterFromDate', errorDescription: 'partnership.pns-contract.msg.toDateNotAfterFromDate' | translate: {'param': 'partnership.label.toDate' | translate }}]"
                    mbPlaceholderText="{{'partnership.label.toDate' | translate}}"
                >
                </mb-date-picker>
            </div>


            <div nz-col nzXs="24" nzLg="24">
                <mb-input-text
                    [mbIsTextAre]="true"
                    mbPlaceholderText="{{'partnership.pns-contract.label.note' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.note' | translate}}"
                    formControlName="note"
                ></mb-input-text>
            </div>


            <!--File đính kèm-->
            <div nz-col nzXs="24" nzLg="24" class="datepicker__group">
                <label class="input__label">{{'partnership.label.file' | translate}}</label>
                <nz-upload
                  #nzUpload
                  [nzRemove]="removeFile"
                  nzType="drag"
                  [nzBeforeUpload]="beforeUpload"
                  [nzFileList]="fileList"
                  [nzMultiple]="false"
                  nzAccept=".docx"
                >
                    <p class="ant-upload-drag-icon">
                        <em nz-icon nzType="inbox"></em>
                    </p>
                    <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
                </nz-upload>
            </div>


        </div>
    </form>
</div>
